org.apache.hadoop.mapreduce.lib.aggregate

## Interface ValueAggregator<E>

- All Known Subinterfaces:
    ValueAggregator<E>
  All Known Implementing Classes:
    DoubleValueSum, DoubleValueSum, LongValueMax, LongValueMax, LongValueMin, LongValueMin, LongValueSum, LongValueSum, StringValueMax, StringValueMax, StringValueMin, StringValueMin, UniqValueCount, UniqValueCount, ValueHistogram, ValueHistogram

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public interface ValueAggregator<E>

  This interface defines the minimal protocol for value aggregators.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNextValue(Object val)` add a value to the aggregator
    `ArrayList<E>` | `getCombinerOutput()`
    `String` | `getReport()`
    `void` | `reset()` reset the aggregator

- - ### Method Detail

    - #### addNextValue

          void addNextValue(Object val)

      add a value to the aggregator
      Parameters:
        `val` - the value to be added

    - #### reset

          void reset()

      reset the aggregator

    - #### getReport

          String getReport()

      Returns:
        the string representation of the agregator

    - #### getCombinerOutput

          ArrayList<E> getCombinerOutput()

      Returns:
        an array of values as the outputs of the combiner.

Copyright © 2022 Apache Software Foundation. All rights reserved.